#!/usr/bin/env sh
# Example for a backup script

# Start a new session
session_id=$(curl -s -X POST -F "description=Daily backup" http://localhost:3000/api/session)
exit_code=$?
if [ $exit_code != 0 ]; then
    echo "Failed to create session"
    exit 1
fi

echo "Aquired session with id $session_id"

# 1. Wait for the PC to come online (using a ping-loop for example)
# 2. Do your backup here
sleep 5

# End the session after we are done using it
curl -s -X DELETE http://localhost:3000/api/session/$session_id
exit_code=$?
if [ $exit_code != 0 ]; then
    echo "Failed to delete session"
    exit 1
fi
